0.1-80
- add sun.angle [not tested yet; will be reformulated in R from up-to-date formulae]
- fix issue 51 [summary.section() does not report water depth]
- fix issue 50 [non-bug relating to sun elevation]
- fix issue 49 [demo(TS) broken]

0.1-79
- fix issue 48 [oce.plot.sticks() ignored page ratio]
- fix issue 47 [cannot read new MEDS sealevel format]
0.1-78
- add data(RRprofile)
- to plot.TS(), add arguments lwd.rho and lty.rho
0.1-77
- refactor adp code wrt transformation matrices
- add matrix.smooth()
- improve labels for oce.axis.POSIXct()
- set default for 'debug' argument to getOption("oce.debug") in all functions
- plot.profile(): add argument ytype; change 'type' to 'xtype'
- add sw.z()
- add oce.smooth()
- add read.adv(), etc., supporting Nortek and Sontek devices
- add read.adp(), etc., supporting Nortek, RDI and Sontek devices
- add oce.plot.ts()
- add imagep()
- add bcd2integer()
- add matlab2POSIXt()
- to most plot functions, add 'mgp' and 'mar' arguments
- plot.pt(): add plim and Tlim arguments
- gravity(): give default for latitude argument
- plot.sealevel(): remove argument focus.time and add argument which
- rename tdr functions as pt, to reflect oral convention
- add geod.xy()
- add argument 'mgp' to all plotting functions
- use abbreviations for axis names if space is tight
- add argument 'adorn' to all plot() functions
- add oce.colors.two(), oce.colors.jet(), and oce.colors.palette()
- rename gebco.colors() as oce.colors.gebco()
- add byte2binary()
- add "lty.grid" to all CTD plotting functions
- add "+.section", a more convenient way to build sections from stations
- rework summary() for all existing objects
- as.sealevel(): rename sampling.interval as deltat

0.1-76
- sw.N2(): make it tolerate NAs; adjust df to make result smoother
- add make.filter()
- add decimate(), which may eventually replace ctd.decimate()
- read.tdr(): handle 5-column data files; add tz argument
- plot.profile(): add types sigma+dpdt and sigma+time
- ctd.trim(): add pmin parameter
- plot.ctd(): add Slim, Tlim, plim, lonlim, latlim arguments; add ability to draw maps
- add coastline.sle dataset
- plot.TS(): fix isopycnal labels for fresh water; add Slim and Tlim arguments
- read.ctd(): make it understand another SBE format
- add parse.latlon()
- oce.edit(): add argument 'action' 
- add oce.write.table()
- add fill.gap()

0.1-75
- add add.column()
- add undrift.time()
- add tdr.patm()
- make read.tdr() gather serial no. info; show this on plot.tdr()
- switch to recommended verion-number format
- remove section.subset(), replaced by subset()
- improve log items in functions that read and assemble oce objects
    http://code.google.com/p/r-oce/issues/detail?id=38
- add subset.oce()
- add header()
- add argument 'which' to read.rbrdtr()
- make read.rbrdtr() understand headers better
- add arguments 'xtype' and 'ytype' to plot.section()
- improve accuracy of bottom drawn by plot.section()
- add section.smooth()
- fix bug making section.smooth() fail if fewer than 4 good data at any given level
    http://code.google.com/p/r-oce/issues/detail?id=36
- fix bug making summary.ctd() fail for stations within sections made by section.smooth()
    http://code.google.com/p/r-oce/issues/detail?id=34
- fix bug making sw.dynamic.height() choke on empty stations
    http://code.google.com/p/r-oce/issues/detail?id=33
- fix bug making plot.section() die if x is unordered
    http://code.google.com/p/r-oce/issues/detail?id=36
- rename rbrpt functions to tdr functions, improving generality

0.1.74
- add argument "src" to as.ctd()
    http://code.google.com/p/r-oce/issues/detail?id=22
- plot.section() RHS axis needs tics
    http://code.google.com/p/r-oce/issues/detail?id=32
- trim axis whitespace in plot.profile() and plot.TS()
    http://code.google.com/p/r-oce/issues/detail?id=31
- make read.oce() understand WOCE section type
    http://code.google.com/p/r-oce/issues/detail?id=30
- speed up sw.spice()
    http://code.google.com/p/r-oce/issues/detail?id=29
- add read.tdr(), summary.tdr(), plot.tdr(), and tdr.trim()
- make plot.TS() isopycnal label size be same on top and right sides
    http://code.google.com/p/r-oce/issues/detail?id=26
- add lwd argument to plot.profile() 
- give plot.section() ability to control contour levels and labels
- give plot.section() tics for station-location

0.1.73
- plot.topo() narrows autoscale to xlim-ylim region, if provided
- add plot.ctd() 'textpanel' option, and put the profiles in the same row
- fix bug in plot.profile() to let it take Slim,..., as args
    http://code.google.com/p/r-oce/issues/detail?id=25
- fix bug in plot.profile() font size
    http://code.google.com/p/r-oce/issues/detail?id=24
- fix bug in plot.profile(type="S_T") positioning
    http://code.google.com/p/r-oce/issues/detail?id=23
- fix bug in section plot (bottom was missing)
    http://code.google.com/p/r-oce/issues/detail?id=21
- fix bug in size of salinity axis label for plot.ctd()
- use pch=21 for TS plots (so data density is more visible)

0.1.72
- add interp.barnes()

0.1.71
- fix bug in make.section (ignored the list, if a list provided)
   http://code.google.com/p/r-oce/issues/detail?id=18&q=label:Type-Defect
- add oce.edit()
- add topo.maritimes dataset
- add read.topo(), plot.topo(), and summary.topo()
- add gebco.colors() ... renamed oce.colors.gebco() in version 0.1.77
- make plot.section() check that pressures coincide

0.1.70
- plot.TS(): make isopycnal list work better for nearly-fresh water
- trim.ctd(): improve equilibration-phase deletion by piecewise-linear regression
- read.ctd(): handle cases without cruise information or scan column
- permit setting xlab and ylab in plot.TS()
- make processing log timestamps be in GMT
- add as.windrose() and plot.windrose()
- add sealevel.tuk sea-level dataset
- add tidem(), predict.tide(), summary.tide(), plot.tide(), and data(tidedata)
- establish a uniform form for objects created by "read" and "as"
- let sw.rho() and similar sw. functions take a ctd object as a single argument
- add sw.dynamic.height()
- make section.grid() and ctd.decimate() extrapolate to surface in "approx" method
- add summary.oce()
- make all objects inherit from a new class "oce"
- fix Issue 12: read.sealevel() had a hard-wired filename (remnant from debugging)
  [http://code.google.com/p/r-oce/issues/detail?id=12&can=1&q=label:Type-Defect]

0.1.69
- modify documentation slightly
- start a migration to more uniform object structures
- rename as.CTD() to as.ctd(), to make it consistent with similar functions
- add read.section()
- add section.grid(), which only grids in p at the moment
- add a03 dataset
- fix SF bug 1833719: warnings from read.ctd()
- fix Issue 8: read.coastline() not producing data
  [http://code.google.com/p/r-oce/issues/detail?id=8&can=1&q=label:Type-Defect]
- improve ability of trim.ctd() to ignore spurious initial data
- add "connect.points" option to plot.TS()
- add "station" item to "ctd" object
- change as.CTD() to produce sigma.theta instead of sigma

0.1.68
- add coastline.world dataset, and increase resolution of coastline.maritimes
- plot.TS() no longer rotates the RH margin isopycnal labels (unless told to)

0.1.67
- allow sw.rho() and similar routines take matrices as arguments for S, t, etc

0.1.66
- fix bug in plot.TS() that prevented it from showing some isopycnals if min(S)=0

0.1.65
- switch to using UNESCO formulation for sw potential temperature by default
- prevent warnings with C90 compiler on some machines

0.1.64
- add read.oce(), a generic function for reading several oceanographic files
- make read.ctd() understand WOCE-exchange files
- make read.sealevel() understand comma-separated data from MEDS
- make plot.sealevel() skip the spectral graphs, if the timeseries has NA values
- improve aesthetics of plot.ctd()
- extend plot.sealevel() by adding focus.time argument
- add ctd.decimate()
- add oce.as.POSIXlt()
- add latlon.format(), lat.format(), and lon.format()
- add as.coastline()
- add make.section()
- add summary.section()
- add plot.section()
- add data(section)

0.1.63
- add sw.sound.speed()

0.1.62
- add processing.log.append() and related code
- improve ctd.trim()

0.1.61
- add rudimentary read/summary/plot functions for lobo datasets

0.1.60
- add vignette; address some build-stage warning messages

0.1.59
- set up data files to permit latin1 encoding of some content

0.1.58
- rename all seawater-related functions, e.g. theta() as sw.theta(), to allow 
  for atmospheric analogs

0.1.57
- make as.CTD() accept length(p)=1, e.g. for surface plots

0.1.56
- make read.coastline() handle S files

0.1.55
- keep theta() from complaining if length(p) = 1

0.1.54
- add alpha() and beta()

0.1.53
- add alpha.over.beta()

0.1.52
- document the use of df in N2(), plot.ctd(), etc.

0.1.51
- permit rho() (and similar) to take NAs in args (bug B32)

0.1.50
- permit rho() and descendants to take scalar pressure.

0.1.49
- add as.CTD()

0.1.48
- add "UNESCO1983" formulation to theta() as an alternative

0.1.47
- speed up theta() by moving vector work from R to C

0.1.46
- make geod.dist() accept a vector for location 1 and a scalar for location 2

0.1.45
- make read.coastline() understand matlab and Splus formats

0.1.44
- make plot.coastline() scale lat and lon correctly

0.1.43
- add read.coastline(), summary.coastline(), and plot.coastline()

0.1.42
- add as.sealevel()

0.1.41
- add read.sealevel(), summary.sealevel(), and plot.sealevel()

0.1.40
- add name option to plot.ctd.scan()

0.1.39
- add lapse.rate()

0.1.38
- fix B27 (header not updated for columns added during read.ctd)

0.1.37
- rename trim.ctd() as ctd.trim()
- rename write.ctd() as ctd.write()

0.1.36
- add write.ctd()
- add ctd.add.column()
- add ctd.update.header()

0.1.35
- add plot.ctd.scan()

0.1.34
- make read.ctd() calculate S if missing but C, T, and p are given
- add S.C.T.p()

0.1.33
- add conductivity()

0.1.32
- rename oce.rho() as rho(), etc., now that a namespace exists

0.1.31
- use namespace

0.1.30
- add oce.viscosity()

0.1.29
- fix B23 (not done yet)
- fix B22 (not done within oce; done at system level)

0.1.28
- add pressure method to trim.ctd()

0.1.27
- vectorize rho() since it was too slow on large datasets

0.1.26
- make demo(oce.ctd) print data

0.1.25
- fix some documentation errors that the 2.0.0 CHECK noticed

0.1.24
- profiles have correct y-axis
- OSX port, but must first do e.g. export PKG_LIBS="-L/sw/lib"

0.1.23
- OSX port (you must first do export PKG_LIBS="-L/sw/lib")

0.1.22
- add trim.ctd()

0.1.21
- permit lat/lon with the "N"-type indicator at start

0.1.20
- fix bug B16 (label the isopycnals on TS diagram)

0.1.19
- make read.ctd handle more file types

0.1.18
- add oce.coriolis, oce.depth, oce.gravity, oce.t.freeze

0.1.17
- add oce.specific.heat oce.N2; fix bug B18

0.1.16
- get data(ctd) working

0.1.15
- add oce.S.t.rho

0.1.14
- fix bug B15 (maybe)

0.1.13
- add oce.t.S.rho

0.1.12
- fix bugs B10, B11, and B13

0.1.11
- fix bugs B6, B7, and B12

0.1.10
- add geod.dist()
- add plot.ctd(), which is rudimentary for now
- fix bug B8

0.1.9
- add spice() function

0.1.8
- permit all eos functions to handle missing values
- fix bug B4

0.1.7
- add summary(ctd) method.
- make read.ctd() return an object of type ctd.
- get tests/ working.

0.1.6
- create tests/oce.test1.R

0.1.5
- add ocesigma(), ocesigma.t(), ocesigma.theta()

0.1.4
- permit various EOS functions to handle lists
- fix bug B3

0.1.3
- add ocerho()

0.1.2
- fix file-path bug
- fix bug B2

0.1.1
- add theta()
- fix bug B1

0.1.0
- add read.ctd()
